OpenTTD

Public Member Functions | Data Fields
StationScopeResolver Struct Reference

Scope resolver for stations. More...

`#include <newgrf_station.h>`

Inheritance diagram for StationScopeResolver:

## Public Member Functions
| StationScopeResolver (ResolverObject &ro, const StationSpec *statspec, BaseStation *st, TileIndex tile)
| Constructor for station scopes. More...
uint32 | GetRandomBits () const
| Get a few random bits. More...
uint32 | GetTriggers () const
| Get the triggers. More...
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const
| Get a variable value. More...
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual void | StorePSA (uint reg, int32 value)
| Store a value into the persistent storage area (PSA). More...

## Data Fields
TileIndex | tile
| Tile of the station.
struct BaseStation * | st
| Instance of the station.
const struct StationSpec * | statspec
| Station (type) specification.
CargoID | cargo_type
| Type of cargo of the station.
Axis | axis
| Station axis, used only for the slope check callback.
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Detailed Description

Scope resolver for stations.

Definition at line 26 of file newgrf_station.h.

## Constructor & Destructor Documentation

## ◆ StationScopeResolver()

StationScopeResolver::StationScopeResolver | ( | ResolverObject & | ro,
|  | const StationSpec * | statspec,
|  | BaseStation * | st,
|  | TileIndex | tile
| ) |  |
| inline

Constructor for station scopes.

Parameters

  ro | Surrounding resolver.
  statspec | Station (type) specification.
  st | Instance of the station.
  tile | Tile of the station.

Definition at line 40 of file newgrf_station.h.

References GetRandomBits(), GetTriggers(), and GetVariable().

## Member Function Documentation

## ◆ GetRandomBits()

uint32 StationScopeResolver::GetRandomBits | ( |  | ) | const
| virtual

Get a few random bits.

Default implementation has no random bits.

Returns
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 226 of file newgrf_station.cpp.

References GetStationTileRandomBits(), and INVALID_TILE.

Referenced by StationScopeResolver().

## ◆ GetTriggers()

uint32 StationScopeResolver::GetTriggers | ( |  | ) | const
| virtual

Get the triggers.

Base class returns `0` to prevent trouble.

Returns
  The triggers.

Reimplemented from ScopeResolver.

Definition at line 232 of file newgrf_station.cpp.

Referenced by StationScopeResolver().

## ◆ GetVariable()

uint32 StationScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available
| ) |  | const
| virtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 273 of file newgrf_station.cpp.

References _current_company, AXIS_Y, GetCompanyInfo(), GetNearbyTile(), GetTileSlope(), HasBit(), INVALID_AXIS, INVALID_TILE, and OrthogonalTileArea::tile.

Referenced by StationScopeResolver().

The documentation for this struct was generated from the following files:

- src/newgrf_station.h
- src/newgrf_station.cpp